/*
 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


//=====
// Don't edit this file. This file is generated from xml description..
//=====
#ifndef __bbvtkImageToPlainText_h_INCLUDED__
#define __bbvtkImageToPlainText_h_INCLUDED__
#include "bbvtk_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"

#include "bbtkStaticLecture.h"

#include <vtkImageData.h>
#include <string>

#include <fstream>
#include <sstream>

namespace bbvtk
{

class bbvtk_EXPORT ImageToPlainText
 :
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(ImageToPlainText,bbtk::AtomicBlackBox);
//=====
// Don't edit this file. This file is generated from xml description..
//=====
  BBTK_DECLARE_INPUT(In,vtkImageData*);
  BBTK_DECLARE_INPUT(InPath,std::string);
  BBTK_PROCESS(Process);
  void Process();

  bbtkStaticLecture lector;

  void ejecutar(std::string path, vtkImageData* image);
//=====
// Don't edit this file. This file is generated from xml description..
//=====
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(ImageToPlainText,bbtk::AtomicBlackBox);
BBTK_NAME("ImageToPlainText");
BBTK_AUTHOR("ed-delga@uniandes.edu.co");
BBTK_DESCRIPTION("It will receive a binary image and will save it as a text/plain file.");
BBTK_CATEGORY("");
BBTK_INPUT(ImageToPlainText,In,"Expected a binary image",vtkImageData*,"");
BBTK_INPUT(ImageToPlainText,InPath,"File path where to place the text/plain file",std::string,"");
BBTK_END_DESCRIBE_BLACK_BOX(ImageToPlainText);
//=====
// Don't edit this file. This file is generated from xml description..
//=====
}
// EO namespace bbvtk

#endif // __bbvtkImageToPlainText_h_INCLUDED__

